View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002450SAS.Планета[All Projects] Багpublic14-06-2014 22:0129-08-2018 12:27
ReporterMaksym 
Assigned Tozed 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOS7OS VersionUltimate
Product Version140303 
Target Version181221Fixed in Version181221 
Summary0002450: При выделении области по треку внутри области получаются дырки
DescriptionЕсли выделить область по треку, указав радиус от линии трека, то внутри области получаются пробелы, когда при повороте трека накладываются линии выделения. Доходит до того, что на самой линии трека могут отсутствовать тайлы.
Предлагаю ограничивать выделение по внешней границе выделения, выкидывая все точки полигональной области, которые попали внутрь.
Steps To ReproduceУправление метками - выбираем трек - Операции с выделенной областью и вводим радиус. Получаем выделение, очень замысловатое, в т.ч. линии выделения залазят внутрь радиуса, указанного в настройке. Где-то где они пересекаются тайлы выпадают из области выделения.
Additional InformationДля понимания проблемы скриншоты:
Получившееся выделение https://www.dropbox.com/s/qhql8wtey3nazk0/%D0%A1%D0%BA%D1%80%D0%B8%D0%BD%D1%88%D0%BE%D1%82%202014-06-15%2000.57.14.png (обратите внимание на поворотах резких трека что творится с выделением, как его "бросает".
https://www.dropbox.com/s/46douwg1t8gw5wt/%D0%A1%D0%BA%D1%80%D0%B8%D0%BD%D1%88%D0%BE%D1%82%202014-06-15%2000.58.17.png - что получается при экспорте этого участка. Загружены ВСЕ тайлы - проверял экспортом при ручном выделении по границе автоматического выделения - пробелов нету.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002049resolvedzed Необходимо переделать выделение области вокруг пути (трека) 
related to 0000086closedfeya Загрузка тайлов вдоль пути с заданным удалением (по сути, формирование выделения вокруг пути) 
has duplicate 0003248closedvdemidov Операции с областью: некорректное автозаполнение участков самопересечения 

-  Notes
(0014358)
vdemidov (manager)
15-06-2014 19:23

Да. Есть такое дело, он все эти дырки честно показывает на отображении выделения. Есть у меня мысли как это исправить, но не знаю когда руки дойдут.
(0014359)
Maksym (reporter)
15-06-2014 20:04
edited on: 15-06-2014 20:05

В примере простейший случай. Бывают треки куда сложнее и там понять дырка это или нет не представляется возможным из-за неимоверного наложения линий выделения. Буду признателен если поправите, когда руки дойдут. Спасибо.

(0014379)
rass (reporter)
03-07-2014 20:20

по мотивам инцидента 1653
(0014381)
vdemidov (manager)
04-07-2014 06:56

У меня есть мысль как избавится от случайных дырок на поворотах трека, но не от дырок в случае самопересечений. Нужно просто перед построением полигона по треку отфильтровать точки и отбросить лежащие ближе чем заданное растояние от трека.

- Users who viewed this issue
User List Anonymous (1547x), bk99 (1x), vdemidov (2x), zed (6x)
Total Views 1556
Last View 09-08-2020 02:39

- Issue History
Date Modified Username Field Change
14-06-2014 22:01 Maksym New Issue
15-06-2014 19:22 vdemidov Priority normal => low
15-06-2014 19:22 vdemidov Status new => confirmed
15-06-2014 19:22 vdemidov Product Version 140505 => 140303
15-06-2014 19:22 vdemidov Target Version => 25xxxx
15-06-2014 19:23 vdemidov Note Added: 0014358
15-06-2014 20:04 Maksym Note Added: 0014359
15-06-2014 20:05 Maksym Note Edited: 0014359 View Revisions
03-07-2014 20:20 rass Note Added: 0014379
04-07-2014 06:56 vdemidov Note Added: 0014381
28-06-2017 01:15 vdemidov Relationship added has duplicate 0003248
29-08-2018 12:21 zed Relationship added related to 0002049
29-08-2018 12:22 zed Status confirmed => resolved
29-08-2018 12:22 zed Fixed in Version => 181221
29-08-2018 12:22 zed Resolution open => fixed
29-08-2018 12:22 zed Assigned To => zed
29-08-2018 12:26 zed Target Version 25xxxx => 181221
29-08-2018 12:27 zed Relationship added related to 0000086



Copyright © 2007 - 2020 SAS.Planet Team